Bug Hunting Session
Bug 116513 - CALC: Format-Merge Cells-Merge Cells or "Merge Cells" icon mark "Merge and Center Cells" icon (per Comment 4)
Summary: CALC: Format-Merge Cells-Merge Cells or "Merge Cells" icon mark "Merge and Ce...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Merge-Split Button-Controls
  Show dependency treegraph
 
Reported: 2018-03-20 02:32 UTC by hugh
Modified: 2019-01-02 16:38 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hugh 2018-03-20 02:32:57 UTC
Description:
When attempting to merge row cells in Calc only the Merge & Center function occurs.

Steps to Reproduce:
1. select several row cells
2. select Merge cells in the Format/Merge option
3. either start entering text in selected merge cell or go back to Format/Merge to see what is set.

Actual Results:  
Entered text is centered in the merged cell.  Format/Merge shows Merge and Center is selected.

Expected Results:
Text entered should not be centered in the merged cells.


Reproducible: Always


User Profile Reset: No



Additional Info:
Text entered should fill the merged cell and wrap if wrap is selected.


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Xavier Van Wijmeersch 2018-03-20 15:32:15 UTC Comment hidden (obsolete)
Comment 2 m.a.riosv 2018-03-20 22:05:24 UTC
This happen with 6.0.2 version, but why this behaviour should change, it's the usual having centered the merged cells content. And it's only one click change the align.

So clearly not a bug, as much a request for enhancemente, about what I'm disagree.
Comment 3 Xavier Van Wijmeersch 2018-03-21 09:19:15 UTC
@m.a.riosv

point taken, thanks for the explanation, and so for me also not a bug

Best regards
Comment 4 Timur 2018-03-21 12:03:42 UTC
Menu Format-Merge Cells has "Merge Cells" and "Merge and Center Cells". 
Both work as expected. "Merge Cells" is not centered. 

It's true that even "Merge Cells" command turns on "Merge and Center Cells" icon. 
So I'll rephrase the bug, change th4 title and confirm:

1. Via Customize Toolbar add icon with command Format-Merge Cells (in addition to existing "Merge and Center Cells" icon)
2. select two row cells with some text
3a. select Format-Merge Cells-Merge Cells OR
3b click "Merge Cells" icon

Actual Results: Text is properly merged and aligned, but "Merge and Center Cells" is pressed

Expected Results:  "Merge and Center Cells" should not be pressed and "Merge Cells" icon should be pressed.

I tested with master 61+ but please test again.
Comment 5 Timur 2018-03-21 12:17:17 UTC
Menu issue started in LO 3.3 when Menu Format-Merge Cells was created. 
But icon issue inherited from OO 3.3.